Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

CFO License WallThicknessAnalysis 1

Status
Not open for further replies.

dddn

Mechanical
Nov 26, 2022
35
0
0
IT
Hello everyone,
would anyone be able to help me on how I can launch a "WallThicknessAnalysis" analysis, which is present on CFO license?
What I need is to launch the analysis select the body and run.
Thank you all!
 
Replies continue below

Recommended for you

To launch the analysis, you need to have the CFO active. In Tools-Options, General tab, look for the Shareable Products tab, scroll down to CFO and enable the tick box.

regards,
LWolf
 
I don't believe that is possible. It is possible to CHECK whether the license is on (and give user a message that he/she needs to engage the CFO)

regards,
LWolf
 
Hello, i cant try it by myself because of no access to CFO licensing but if it won't work just tell me i will work on it.

Code:
Language= "VBScript"

Sub CATMain()

Dim oDoc1 
Set oDoc1 = CATIA.ActiveDocument

Dim oPart1
Set oPart1 = oDoc1.Part

Dim oSel
Set oSel = oDoc1.Selection

Dim InputObjectType(0)
InputObjectType(0) = "Part" 

oSel.Clear

status= oSel.SelectElement2(InputObjectType, "Choose body to measure", False)

CATIA.StartCommand "Wall Thickness Analysis"

End Sub


Regards,
M
 
Hi LWolf
The objective is precisely to write the macro in the CFO environment; the problem is that I can not automatically launch the tool.

MKEdits, unfortunately your script ends with part selection.

He will definitely miss some steps.
 
Okay, try changing the line where i defined "InputObjectType(0)" from "Part" to "Body". Do you want to set specific tolerance and other options or just open tool window?
Sub CATMain()

Dim oDoc1
Set oDoc1 = CATIA.ActiveDocument

Dim oPart1
Set oPart1 = oDoc1.Part

Dim oSel
Set oSel = oDoc1.Selection

Dim InputObjectType(0)
InputObjectType(0) = "Body"

oSel.Clear

status= oSel.SelectElement2(InputObjectType, "Choose body to measure", False)

CATIA.StartCommand "Wall Thickness Analysis"

End Sub

Regards,
M
 

Hi MKEdits,
ok the code is correct!! thank you so much.
Now, how do I set the tolerance and set the value 10 in the "Color" window and confirm to generate the analysis result (with a code)?
Thank MKEdits

 
You can't do it with catscript. Only with VBA and WinAPI.
And most likely you'll have to write code yourself because chances are low that someone have already dealt with the window.
 
Hi Little Cthulhu,
For me it would be fine to write in VBA too but where can I find a guide on how to call the functions that allow you to generate the tool?

Do you know any specific guides for the "Wall thickness analysis"?
Thank
 
Status
Not open for further replies.
Back
Top